searchNodes=[{"doc":"Provides access interfaces for the DataForSeo V3 API.","ref":"DataForSeo.html","title":"DataForSeo","type":"module"},{"doc":"Returns current Auth configuration settings for accessing dataforseo server.","ref":"DataForSeo.html#configure/0","title":"DataForSeo.configure/0","type":"function"},{"doc":"Provides DataForSeo configuration settings for accessing dataforseo server. The specified configuration applies globally. Use DataForSeo.configure/2 for setting different configurations on each processes. Examples DataForSeo.configure( login: System.get_env(&quot;DATAFORSEO_LOGIN&quot;), password: System.get_env(&quot;DATAFORSEO_PASSWORD&quot;) )","ref":"DataForSeo.html#configure/1","title":"DataForSeo.configure/1","type":"function"},{"doc":"Provides Auth configuration settings for accessing dataforseo server. Options The scope can have one of the following values. :global - configuration is shared for all processes. :process - configuration is isolated for each process. Examples DataForSeo.configure( :process, login: System.get_env(&quot;DATAFORSEO_LOGIN&quot;), password: System.get_env(&quot;DATAFORSEO_PASSWORD&quot;) )","ref":"DataForSeo.html#configure/2","title":"DataForSeo.configure/2","type":"function"},{"doc":"GET /v3/serp/google/organic/task_get/regular/$id Examples DataForSeo.task_get(&quot;03301617-9324-0066-0000-472866f98a6e&quot;) DataForSeo.task_get(&quot;03301617-9324-0066-0000-472866f98a6e&quot;, parse: false) Reference https://docs.dataforseo.com/v3/serp/google/organic/task_get/regular/","ref":"DataForSeo.html#task_get/2","title":"DataForSeo.task_get/2","type":"function"},{"doc":"POST /v3/serp/google/organic/task_post Examples DataForSeo.task_post(&quot;Schrauben&quot;) DataForSeo.task_post([&quot;Schrauben&quot;, &quot;Blumen&quot;]) DataForSeo.task_post(%{&quot;Schrauben&quot; =&gt; &quot;123987&quot;, &quot;Blumen&quot; =&gt; &quot;789231&quot;}) DataForSeo.task_post(%{&quot;Schrauben&quot; =&gt; &quot;123987&quot;, &quot;Blumen&quot; =&gt; &quot;789231&quot;}, language_code: &quot;de-DE&quot;, location_name: &quot;20537,Hamburg,Germany&quot;, se_domain: &quot;google.de&quot;) Reference https://docs.dataforseo.com/v3/serp/google/organic/task_post/","ref":"DataForSeo.html#task_post/2","title":"DataForSeo.task_post/2","type":"function"},{"doc":"GET /v3/serp/google/organic/tasks_ready Examples DataForSeo.tasks_ready() Reference https://docs.dataforseo.com/v3/serp/google/organic/tasks_ready/","ref":"DataForSeo.html#tasks_ready/0","title":"DataForSeo.tasks_ready/0","type":"function"},{"doc":"Provides SERP API interfaces.","ref":"DataForSeo.API.Serp.html","title":"DataForSeo.API.Serp","type":"module"},{"doc":"Gets result for a single task. The fetched tasks are then removed from completed list. So be sure to save and process them. Examples DataForSeo.API.Serp.task_get(&quot;test-task-id&quot;) DataForSeo.API.Serp.task_get(&quot;test-task-id&quot;, parse: false)","ref":"DataForSeo.API.Serp.html#task_get/2","title":"DataForSeo.API.Serp.task_get/2","type":"function"},{"doc":"Creates a task for each keyword. Options Keyword, or list of keywords, or a map with the keyword =&gt; tag relation. You can use tags later to find your result in the completed tasks. Also additional parameters can be passed as a keyword list: https://docs.dataforseo.com/v3/serp/google/organic/task_post/ Examples DataForSeo.API.Serp.task_post(&quot;Schrauben&quot;) DataForSeo.API.Serp.task_post([&quot;Schrauben&quot;, &quot;Blumen&quot;]) DataForSeo.API.Serp.task_post(%{&quot;Schrauben&quot; =&gt; &quot;123987&quot;, &quot;Blumen&quot; =&gt; &quot;789231&quot;}) DataForSeo.API.Serp.task_post(%{&quot;Schrauben&quot; =&gt; &quot;123987&quot;, &quot;Blumen&quot; =&gt; &quot;789231&quot;}, language_code: &quot;de-DE&quot;, location_name: &quot;20537,Hamburg,Germany&quot;, se_domain: &quot;google.de&quot;)","ref":"DataForSeo.API.Serp.html#task_post/2","title":"DataForSeo.API.Serp.task_post/2","type":"function"},{"doc":"Gets the list of completed tasks ids. Examples DataForSeo.API.Serp.tasks_ready()","ref":"DataForSeo.API.Serp.html#tasks_ready/0","title":"DataForSeo.API.Serp.tasks_ready/0","type":"function"},{"doc":"A definition of the intended behavior of the core functions.","ref":"DataForSeo.Behaviour.html","title":"DataForSeo.Behaviour","type":"behaviour"},{"doc":"","ref":"DataForSeo.Behaviour.html#c:configure/0","title":"DataForSeo.Behaviour.configure/0","type":"callback"},{"doc":"","ref":"DataForSeo.Behaviour.html#c:configure/1","title":"DataForSeo.Behaviour.configure/1","type":"callback"},{"doc":"","ref":"DataForSeo.Behaviour.html#c:configure/2","title":"DataForSeo.Behaviour.configure/2","type":"callback"},{"doc":"","ref":"DataForSeo.Behaviour.html#c:task_get/2","title":"DataForSeo.Behaviour.task_get/2","type":"callback"},{"doc":"","ref":"DataForSeo.Behaviour.html#c:task_post/2","title":"DataForSeo.Behaviour.task_post/2","type":"callback"},{"doc":"","ref":"DataForSeo.Behaviour.html#c:tasks_ready/0","title":"DataForSeo.Behaviour.tasks_ready/0","type":"callback"},{"doc":"","ref":"DataForSeo.Config.html","title":"DataForSeo.Config","type":"module"},{"doc":"Add or change values","ref":"DataForSeo.Config.html#add/1","title":"DataForSeo.Config.add/1","type":"function"},{"doc":"","ref":"DataForSeo.Config.html#add/2","title":"DataForSeo.Config.add/2","type":"function"},{"doc":"","ref":"DataForSeo.Config.html#current_scope/0","title":"DataForSeo.Config.current_scope/0","type":"function"},{"doc":"Get Auth configuration values.","ref":"DataForSeo.Config.html#get/0","title":"DataForSeo.Config.get/0","type":"function"},{"doc":"","ref":"DataForSeo.Config.html#get/1","title":"DataForSeo.Config.get/1","type":"function"},{"doc":"Get configuration values in tuple format.","ref":"DataForSeo.Config.html#get_tuples/0","title":"DataForSeo.Config.get_tuples/0","type":"function"},{"doc":"Set Auth configuration values.","ref":"DataForSeo.Config.html#set/1","title":"DataForSeo.Config.set/1","type":"function"},{"doc":"","ref":"DataForSeo.Config.html#set/2","title":"DataForSeo.Config.set/2","type":"function"},{"doc":"A parser built on top of Spect for decoding DataForSEO&#39;s various return structures. https://github.com/pylon/spect","ref":"DataForSeo.Parser.html","title":"DataForSeo.Parser","type":"module"},{"doc":"","ref":"DataForSeo.Parser.html#convert_date_time/2","title":"DataForSeo.Parser.convert_date_time/2","type":"function"},{"doc":"","ref":"DataForSeo.Parser.html#parse/2","title":"DataForSeo.Parser.parse/2","type":"function"},{"doc":"Provides basic and common functionalities for DataForSeo API.","ref":"DataForSeo.Request.html","title":"DataForSeo.Request","type":"module"},{"doc":"","ref":"DataForSeo.Request.html#get/1","title":"DataForSeo.Request.get/1","type":"function"},{"doc":"","ref":"DataForSeo.Request.html#get/2","title":"DataForSeo.Request.get/2","type":"function"},{"doc":"","ref":"DataForSeo.Request.html#post/2","title":"DataForSeo.Request.post/2","type":"function"},{"doc":"","ref":"DataForSeo.Request.html#request_url/1","title":"DataForSeo.Request.request_url/1","type":"function"},{"doc":"Дата struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_post/","ref":"DataForSeo.Serp.Data.html","title":"DataForSeo.Serp.Data","type":"module"},{"doc":"","ref":"DataForSeo.Serp.Data.html#t:t/0","title":"DataForSeo.Serp.Data.t/0","type":"type"},{"doc":"GetTask.Item struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_get/regular/","ref":"DataForSeo.Serp.GetTask.Item.html","title":"DataForSeo.Serp.GetTask.Item","type":"module"},{"doc":"","ref":"DataForSeo.Serp.GetTask.Item.html#t:t/0","title":"DataForSeo.Serp.GetTask.Item.t/0","type":"type"},{"doc":"GetTask.Response struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_get/regular/","ref":"DataForSeo.Serp.GetTask.Response.html","title":"DataForSeo.Serp.GetTask.Response","type":"module"},{"doc":"","ref":"DataForSeo.Serp.GetTask.Response.html#t:t/0","title":"DataForSeo.Serp.GetTask.Response.t/0","type":"type"},{"doc":"GetTask.Result struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_get/regular/","ref":"DataForSeo.Serp.GetTask.Result.html","title":"DataForSeo.Serp.GetTask.Result","type":"module"},{"doc":"","ref":"DataForSeo.Serp.GetTask.Result.html#t:t/0","title":"DataForSeo.Serp.GetTask.Result.t/0","type":"type"},{"doc":"GetTask.Task struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_get/regular/","ref":"DataForSeo.Serp.GetTask.Task.html","title":"DataForSeo.Serp.GetTask.Task","type":"module"},{"doc":"","ref":"DataForSeo.Serp.GetTask.Task.html#t:t/0","title":"DataForSeo.Serp.GetTask.Task.t/0","type":"type"},{"doc":"Task struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_post/","ref":"DataForSeo.Serp.Response.html","title":"DataForSeo.Serp.Response","type":"module"},{"doc":"","ref":"DataForSeo.Serp.Response.html#t:t/0","title":"DataForSeo.Serp.Response.t/0","type":"type"},{"doc":"Result struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/tasks_ready/","ref":"DataForSeo.Serp.Result.html","title":"DataForSeo.Serp.Result","type":"module"},{"doc":"","ref":"DataForSeo.Serp.Result.html#t:t/0","title":"DataForSeo.Serp.Result.t/0","type":"type"},{"doc":"Task struct. Reference https://docs.dataforseo.com/v3/serp/google/organic/task_post/","ref":"DataForSeo.Serp.Task.html","title":"DataForSeo.Serp.Task","type":"module"},{"doc":"","ref":"DataForSeo.Serp.Task.html#t:t/0","title":"DataForSeo.Serp.Task.t/0","type":"type"},{"doc":"","ref":"DataForSeo.ConnectionError.html","title":"DataForSeo.ConnectionError","type":"exception"},{"doc":"","ref":"DataForSeo.Error.html","title":"DataForSeo.Error","type":"exception"}]